Skip to navigation

Get a bookable site

One bookable site, addressed by its id and the party that owns it.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

booking_location_idstringRequired1-36 characters
OCPI id of the bookable site.

Query parameters

country_codestringRequiredformat: "^[A-Za-z]{2}$"=2 characters
OCPI country code of the party that owns the row, e.g. NL.
party_idstringRequiredformat: "^[A-Za-z]{3}$"=3 characters
OCPI party id of the party that owns the row, e.g. OCP.

Response

The bookable site.
idinteger
booking_location_idstring
location_idstring
last_updateddatetime
roleenum or any
originenum or any
organization_idstring
country_codestring
party_idstring
ocpi_versionenum or any
created_atdatetime
updated_atdatetime
booking_optionmap from strings to any or nullOptional
policymap from strings to any or nullOptional
tariff_idslist of strings or nullOptional
booking_termsobject or nullOptional
Terms accepted for the reservation.
calendarslist of objects or nullOptional
deleted_atdatetime or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error